
ChiliProject - Bug # 711: translation missing: en, field_lock_version on issue edit on Ruby 1.9

Status: Closed Priority: Normal
Author: Moritz Breit Category:
Created: 2011-11-17 Assignee: Felix Schäfer
Updated: 2011-11-25 Due date:
Remote issue URL:
Affected version: master
Description: When running on Ruby 1.9, the issue edit form has label "translation missing: en, field_lock_version" (see 

attached screenshot). This happens in our production instance as well as on a new, clean instance.

This has been reported in the Redmine tracker as well (http://www.redmine.org/issues/6853).

The reason is a bug in @TabularFormBuilder@ that causes every hidden field to get label.

Associated revisions
2008-03-09 04:36 pm - Jean-Philippe Lang 
Allow longer version names (#711, closes #712).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1220 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-11-17 11:32 am - Moritz Breit
[#711] Fix TabularFormBuilder on Ruby 1.9.2

2011-11-25 08:04 pm - Felix SchÃ¤fer 
Merge pull request #126 from mbreit/bugfix/711-tabular_form_builder_ruby19

[#711] Fix TabularFormBuilder on Ruby 1.9

This is actually a bug in rails 2.3.14 on ruby 1.9 -- Felix

History
2011-11-17 10:40 am - Moritz Breit
I have sent a pull request at Github that fixes this issue: https://github.com/chiliproject/chiliproject/pull/126

2011-11-25 07:01 pm - Felix Schäfer
- Target version set to 2.5.0

- Assignee set to Felix Schäfer

- Status changed from Open to Ready for review

Could reproduce this, checking the proposed fix.

2011-11-25 07:05 pm - Felix Schäfer
- Status changed from Ready for review to Closed

Works as advertised, merged in commit:574419b, thanks a lot :-)
